var fileSpan = $('#attachments_<%= j params[:attachment_id] %>');
<% if(!@attachment.nil? && @attachment.new_record?) %>
  fileSpan.hide();
  alert("<%= escape_javascript @attachment.errors.full_messages.join(', ') %>");
<% else %>
fileSpan.find('a.remove-upload')
        .attr({
            "data-remote": true,
            "data-method": 'delete',
            "href": '<%= j attachment_path(@attachment, :attachment_id => params[:attachment_id], :format => 'js') %>'
        })
        .off('click');
$('<input>', { type: 'hidden', name: 'attachments[<%= j params[:attachment_id] %>][token]' } ).val('<%= j @attachment.token %>').appendTo(fileSpan);
<% end %>
